Draft PolarArray
|
Menu location |
---|
Modification → Array tools → Polar array Modify → Polar array |
Workbenches |
Draft, BIM |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
Draft OrthoArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointArray, Draft PointLinkArray |
Description
The Draft PolarArray command creates an array from a selected object by placing copies along a circumference. The command can optionally create a Link array, which is more efficient than a regular array.
The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or BIM Workbench.
Draft PolarArray
Usage
See also: Draft Snap.
- Optionally select one object.
- There are several ways to invoke the command:
- Press the
Polar array button.
- Draft: Select the Modification → Array tools →
Polar array option from the menu.
- BIM: Select the Modify →
Polar array option from the menu.
- Press the
- The Polar array task panel opens. See Options for more information.
- If you have not yet selected an object: select one object.
- Enter the required parameters in the task panel.
- To finish the command do one of the following:
- Pick a point in the 3D view for the Center of rotation.
- Press Enter.
- Press the OK button.
Options
- Enter the Polar angle to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
- Enter the Number of elements. Must be at least
2
. The maximum that can be entered in the task panel is99
, but higher values are possible by changing the DataNumber Polar property of the array. - Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press the Reset point button to reset the Center of rotation to the origin.
- If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
- If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
- Press Esc or the Cancel button to abort the command.
Notes
- The default rotation axis for the array is the positive Z axis. This can be changed by editing its DataAxis property.
- A Draft PolarArray can be turned into a Draft OrthoArray or a Draft CircularArray by changing its DataArray Type property.
- A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.
Properties
See Draft OrthoArray.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
Parametric array
To create a parametric polar array use the make_array
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeArray
method. The make_array
method can create Draft OrthoArrays, Draft PolarArrays and Draft CircularArrays. For each array type one or more wrappers are available.
The main method:
array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)
The wrapper for polar arrays is:
array = make_polar_array(base_object,
number=5, angle=360, center=App.Vector(0, 0, 0),
use_link=True)
base_object
is the object to be arrayed. It can also be theLabel
(string) of an object in the current document.number
is the number of elements in the pattern, including the original object.angle
is the angle of the polar arc in degrees.center
is the vector that defines the center of the pattern.- If
use_link
isTrue
the created elements are App Links instead of regular copies. array
is returned with the created array object.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)
array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()
Non-parametric array
To create a non-parametric polar array use the array
method of the Draft module. This method returns None
.
array(objectslist, center, angle, number)
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)
Draft.array(tri, center, 270, 8)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub